Skip to main content
POST
/
deductions
/
bulk
/
delete
Bulk delete deductions
curl --request POST \
  --url https://sandbox.nmbr.co/services/payroll/deductions/bulk/delete \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "business_entity_id": "<id>",
  "work_assignments": {
    "include": "all"
  }
}
'

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
business_entity_id
string
required
work_assignments
object
required
has_business_preset
boolean
business_presets
object
expense_accounting_codes
object
liability_accounting_codes
object
effective_on
string<date>
not_effective_on
string<date>
effective_from
string

The date from which this deduction is applied to Pay Stubs.

Date filters support two formats: Exact Date Match: Provide a well-formatted date in YYYY-MM-DD format for an exact match. Example: effective_from=2024-01-01 Use an array-like syntax to specify a range with one or more comparison operators:

  • gt (greater than)
  • gte (greater than or equal to)
  • lte (less than or equal to)
  • lt (less than) Example: effective_from[gte]=2024-01-01&effective_from[lt]=2024-12-31
effective_to
string

The date after which this deduction is no longer applied. null if the deduction applies indefinitely.

Date filters support two formats: Exact Date Match: Provide a well-formatted date in YYYY-MM-DD format for an exact match. Example: effective_to=2024-01-01 Use an array-like syntax to specify a range with one or more comparison operators:

  • gt (greater than)
  • gte (greater than or equal to)
  • lte (less than or equal to)
  • lt (less than) Example: effective_to[gte]=2024-01-01&effective_to[lt]=2024-12-31
subtypes
object
ids
object

Response

202

Accepted